<template>
  <div>
    <div @click="openDialog">
      <slot></slot>
    </div>
    <a-modal v-model="isDialogActive" centered :footer="null" :width="1100" :closeable="false">
      <div class="relative mb-8">
        <div class="absolute">
          <b-outline-action-button @click="closeDialog">Back</b-outline-action-button>
        </div>
        <div class="text-center">
          <t-h1 size="text-3xl" weight="bold">{{ area.name }}</t-h1>
        </div>
      </div>
      <TemperaturePassengers></TemperaturePassengers>
    </a-modal>
  </div>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import TH1 from '~/components/shared/typography/H1'
import BOutlineActionButton from '~/components/shared/buttons/OutlineActionButton'
import { useBuilding } from '~/store/building'
import TemperaturePassengers from '~/components/temperature/TemperaturePassengers.vue'

export default defineComponent({
  components: {
    BOutlineActionButton,
    TH1,
    TemperaturePassengers,
  },
  props: { 
    floorId: {
      type: String,
      required: true
    },
    area: {
      type: Object,
      required: true,
    }
  },
  setup() {
    const store = useBuilding()
    return { store }
  },
  data() {
    return {
      tab: 'visual',
      isDialogActive: false,
    }
  },
  methods: {
    openDialog() {
      this.store.onSelectFloor(this.floorId)
      this.store.onSelectArea(this.area.id)
      this.isDialogActive = true
    },
    closeDialog() {
      this.isDialogActive = false
    },
  },
})
</script>
